This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 736004 - "Open With Software Install" chosen from a right-click on a rpm file errors out
"Open With Software Install" chosen from a right-click on a rpm file errors out
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
15
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-06 07:51 EDT by David Batson
Modified: 2012-08-06 16:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Batson 2011-09-06 07:51:51 EDT
Description of problem:
Downloaded opera-11.51-1087.x86_64.rpm from Opera's website.  I chose to install by right-clicking on the downloaded rpm in my Downloads folder and choosing "Open With Software Install". The process starts but errors out with an authentication error without ever asking for a password.  This appears to be a 64-bit only problem based on posts from the following thread:
http://forums.fedoraforum.org/showthread.php?t=269341

Version-Release number of selected component (if applicable):


How reproducible:
On a 64-bit system, right-click on a rpm and choose "Open With Software Install"

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Install errors out with an authentication error without ever asking for a password.

Expected results:
Software Install to ask for root's password and then install the rpm.

Additional info:
Actual rpm I was trying to install after downloading to my Downloads folder.
ftp://ftp.opera.com/pub/opera/linux/1151/opera-11.51-1087.x86_64.rpm
Comment 1 David Batson 2011-09-06 11:35:16 EDT
Dangermouse sleuthed out that logging in with Gnome Compiz is what is causing this bug.  It very well may not have anything to do with 32-bit vs 64-bit.

I confirm when logged in with the default Gnome 3 shell, I do not encounter this bug, but when logged in with Gnome classic and Compiz I encounter this error.  This bug also includes the Add/Remove Software applet (same thing I guess).
Comment 2 Fedora End Of Life 2012-08-06 16:07:47 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2012-08-06 16:07:48 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.